
GammaLib - Action #835

Feature # 833 (Closed): Add functions to public Gammalib API

Expose the function in Python (add Swig wrapper)

04/12/2013 12:00 PM - Knödlseder Jürgen

Status: Closed Start date: 04/12/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

History

#1 - 04/12/2013 12:02 PM - Knödlseder Jürgen

- Target version set to 00-08-00

#2 - 04/13/2013 01:33 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

I added a GMath.i swig file to the numerics module. All constants and functions are exposed in Python when using

>>> import gammalib

but they are not visible when using

>>> from gammalib import *

This is due to the fact that in the latter approach, all exposed symbols need to be added to the __init__.py file, which is done by setup.py. So far,

setup.py does not add functions are constants. But in any case, we probably do not want to expose functions and constants for the from gammalib

import * directive as they would pollute the global namespace.

#3 - 12/03/2013 09:59 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Estimated time set to 0.00
